#!/bin/sh

. /etc/tune-profiles/functions

start() {
	set_transparent_hugepages

	echo deadline > /sys/block/sda/queue/scheduler
	echo deadline > /sys/block/sdb/queue/scheduler
	echo deadline > /sys/block/sdc/queue/scheduler
	echo deadline > /sys/block/sdd/queue/scheduler
	echo deadline > /sys/block/sde/queue/scheduler
	echo deadline > /sys/block/sdf/queue/scheduler

	echo 4096 > /sys/block/sda/queue/nr_requests
	echo 4096 > /sys/block/sdb/queue/nr_requests
	echo 4096 > /sys/block/sdc/queue/nr_requests
	echo 4096 > /sys/block/sdd/queue/nr_requests
	echo 4096 > /sys/block/sde/queue/nr_requests
	echo 4096 > /sys/block/sdf/queue/nr_requests

	echo 8192 > /sys/block/sda/queue/read_ahead_kb
	echo 8192 > /sys/block/sdb/queue/read_ahead_kb
	echo 8192 > /sys/block/sdc/queue/read_ahead_kb
	echo 8192 > /sys/block/sdd/queue/read_ahead_kb
	echo 8192 > /sys/block/sde/queue/read_ahead_kb
	echo 8192 > /sys/block/sdf/queue/read_ahead_kb

	echo 850 > /sys/block/sda/queue/iosched/read_expire
	echo 850 > /sys/block/sdb/queue/iosched/read_expire
	echo 850 > /sys/block/sdc/queue/iosched/read_expire
	echo 850 > /sys/block/sdd/queue/iosched/read_expire
	echo 850 > /sys/block/sde/queue/iosched/read_expire
	echo 850 > /sys/block/sdf/queue/iosched/read_expire

	echo 64 > /sys/block/sda/queue/iosched/fifo_batch
	echo 64 > /sys/block/sdb/queue/iosched/fifo_batch
	echo 64 > /sys/block/sdc/queue/iosched/fifo_batch
	echo 64 > /sys/block/sdd/queue/iosched/fifo_batch
	echo 64 > /sys/block/sde/queue/iosched/fifo_batch
	echo 64 > /sys/block/sdf/queue/iosched/fifo_batch

	return 0
}

stop() {
	restore_transparent_hugepages

	echo 128 > /sys/block/sda/queue/nr_requests
	echo 128 > /sys/block/sdb/queue/nr_requests
	echo 128 > /sys/block/sdc/queue/nr_requests
	echo 128 > /sys/block/sdd/queue/nr_requests
	echo 128 > /sys/block/sde/queue/nr_requests
	echo 128 > /sys/block/sdf/queue/nr_requests

	echo 128 > /sys/block/sda/queue/read_ahead_kb
	echo 128 > /sys/block/sdb/queue/read_ahead_kb
	echo 128 > /sys/block/sdc/queue/read_ahead_kb
	echo 128 > /sys/block/sdd/queue/read_ahead_kb
	echo 128 > /sys/block/sde/queue/read_ahead_kb
	echo 128 > /sys/block/sdf/queue/read_ahead_kb

	echo 500 > /sys/block/sda/queue/iosched/read_expire
	echo 500 > /sys/block/sdb/queue/iosched/read_expire
	echo 500 > /sys/block/sdc/queue/iosched/read_expire
	echo 500 > /sys/block/sdd/queue/iosched/read_expire
	echo 500 > /sys/block/sde/queue/iosched/read_expire
	echo 500 > /sys/block/sdf/queue/iosched/read_expire

	echo 16 > /sys/block/sda/queue/iosched/fifo_batch
	echo 16 > /sys/block/sdb/queue/iosched/fifo_batch
	echo 16 > /sys/block/sdc/queue/iosched/fifo_batch
	echo 16 > /sys/block/sdd/queue/iosched/fifo_batch
	echo 16 > /sys/block/sde/queue/iosched/fifo_batch
	echo 16 > /sys/block/sdf/queue/iosched/fifo_batch

	return 0
}

process $@
